# Uses of Interface
org.opensaml.saml.saml2.metadata.SSODescriptor

Packages that use SSODescriptor
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of SSODescriptor in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type SSODescriptor
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SSODescriptor>`
MetadataNameIdentifierFormatStrategy.`ssoDescriptorLookupStrategy`
Strategy function to lookup the `SSODescriptor` to read from.
Methods in org.opensaml.saml.common.profile.logic that return SSODescriptor
Modifier and Type
Method
Description
`SSODescriptor`
MetadataNameIdentifierFormatStrategy.MetadataLookupStrategy.`apply(ProfileRequestContext input)`
Method parameters in org.opensaml.saml.common.profile.logic with type arguments of type SSODescriptor
Modifier and Type
Method
Description
`void`
MetadataNameIdentifierFormatStrategy.`setSSODescriptorLookupStrategy(Function<ProfileRequestContext,SSODescriptor> strategy)`
Set the lookup strategy to use to obtain an `SSODescriptor`.

## Uses of SSODescriptor in org.opensaml.saml.saml2.metadata

Subinterfaces of SSODescriptor in org.opensaml.saml.saml2.metadata
Modifier and Type
Interface
Description
`interface`
`IDPSSODescriptor`
SAML 2.0 Metadata IDPSSODescriptorType.
`interface`
`SPSSODescriptor`
SAML 2.0 Metadata SPSSODescriptorType.

## Uses of SSODescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement SSODescriptor
Modifier and Type
Class
Description
`class`
`IDPSSODescriptorImpl`
Concrete implementation of `IDPSSODescriptor`.
`class`
`SPSSODescriptorImpl`
Concrete implementation of `SPSSODescriptor`.
`class`
`SSODescriptorImpl`
Concrete implementation of `SSODescriptor`.